<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DayZAnimalInputController Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d21/class_day_z_animal_input_controller.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">DayZAnimalInputController Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7fe905927f616b668954382eff907258"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d21/class_day_z_animal_input_controller.html#a7fe905927f616b668954382eff907258">IsDead</a> ()</td></tr>
<tr class="separator:a7fe905927f616b668954382eff907258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a150e6ae0c4abe5f249b1a437720ec996"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d21/class_day_z_animal_input_controller.html#a150e6ae0c4abe5f249b1a437720ec996">IsJump</a> ()</td></tr>
<tr class="separator:a150e6ae0c4abe5f249b1a437720ec996"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab63c20eef520c4f6414484a67f0ed3c9"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d21/class_day_z_animal_input_controller.html#ab63c20eef520c4f6414484a67f0ed3c9">IsAttack</a> ()</td></tr>
<tr class="separator:ab63c20eef520c4f6414484a67f0ed3c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20d1aed105eeebab272365fa0e163879"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d21/class_day_z_animal_input_controller.html#a20d1aed105eeebab272365fa0e163879">DayZAnimalInputController</a> ()</td></tr>
<tr class="memdesc:a20d1aed105eeebab272365fa0e163879"><td class="mdescLeft">&#160;</td><td class="mdescRight">never created by script  <a href="../../d1/d21/class_day_z_animal_input_controller.html#a20d1aed105eeebab272365fa0e163879">More...</a><br /></td></tr>
<tr class="separator:a20d1aed105eeebab272365fa0e163879"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8be3127bd1c79162d5f89347ba4232ea"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d21/class_day_z_animal_input_controller.html#a8be3127bd1c79162d5f89347ba4232ea">~DayZAnimalInputController</a> ()</td></tr>
<tr class="memdesc:a8be3127bd1c79162d5f89347ba4232ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">never destroyed by script  <a href="../../d1/d21/class_day_z_animal_input_controller.html#a8be3127bd1c79162d5f89347ba4232ea">More...</a><br /></td></tr>
<tr class="separator:a8be3127bd1c79162d5f89347ba4232ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00293">293</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a20d1aed105eeebab272365fa0e163879" name="a20d1aed105eeebab272365fa0e163879"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20d1aed105eeebab272365fa0e163879">&#9670;&#160;</a></span>DayZAnimalInputController()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void DayZAnimalInputController::DayZAnimalInputController </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>never created by script </p>

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00302">302</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a8be3127bd1c79162d5f89347ba4232ea" name="a8be3127bd1c79162d5f89347ba4232ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8be3127bd1c79162d5f89347ba4232ea">&#9670;&#160;</a></span>~DayZAnimalInputController()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void DayZAnimalInputController::~DayZAnimalInputController </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>never destroyed by script </p>

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00307">307</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab63c20eef520c4f6414484a67f0ed3c9" name="ab63c20eef520c4f6414484a67f0ed3c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab63c20eef520c4f6414484a67f0ed3c9">&#9670;&#160;</a></span>IsAttack()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZAnimalInputController::IsAttack </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7fe905927f616b668954382eff907258" name="a7fe905927f616b668954382eff907258"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fe905927f616b668954382eff907258">&#9670;&#160;</a></span>IsDead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZAnimalInputController::IsDead </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a150e6ae0c4abe5f249b1a437720ec996" name="a150e6ae0c4abe5f249b1a437720ec996"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a150e6ae0c4abe5f249b1a437720ec996">&#9670;&#160;</a></span>IsJump()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZAnimalInputController::IsJump </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Entities/<a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d21/class_day_z_animal_input_controller.html">DayZAnimalInputController</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
